Page MenuHomePhabricator

Create config more intuitive aliases for filetype: search
Closed, ResolvedPublic

Description

Some of the filetype: search types, such as "bitmap" or "drawing", are very un-intuitive and hard to remember. We may want to consider creating a configuration where aliases for existing types are specified, so for example one can do filetype:photo and find photos by translating "photo" to "bitmap".

For more info - threads here: https://lists.wikimedia.org/pipermail/wikitech-l/2016-November/086995.html
and here: https://lists.wikimedia.org/pipermail/discovery/2016-November/001355.html

Event Timeline

Restricted Application added a project: Discovery. · View Herald TranscriptNov 16 2016, 7:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Smalyshev updated the task description. (Show Details)Nov 16 2016, 7:21 PM
debt updated the task description. (Show Details)Nov 17 2016, 11:06 PM
Deskana added subscribers: EBernhardson, Deskana.EditedNov 17 2016, 11:07 PM

In the long run, a nice UI that makes all these advanced function obvious would be best. But that's a lot of work, and we have a lot of other UI work to do. Adding a few hard-coded aliases would probably be sufficient for now. @EBernhardson suggested, based on the thread, we could look at the query logs to figure out what aliases people are actually using, then hard code. I think that's an excellent idea, as it guarantees the aliases we use are actually useful to people.

@Smalyshev What do you think of this approach?

@Deskana good idea. I'll implement the infrastructure, and then we could configure it based on query data.

Change 323991 had a related patch set uploaded (by Smalyshev):
Enable configuration for filetype aliases

https://gerrit.wikimedia.org/r/323991

Change 323991 merged by jenkins-bot:
Enable configuration for filetype aliases

https://gerrit.wikimedia.org/r/323991

Smalyshev triaged this task as Normal priority.Nov 30 2016, 8:21 PM
Deskana closed this task as Resolved.Dec 22 2016, 7:44 PM

The infrastructure was added, but I don't want to announce this yet since extra aliases have not yet been added.

Yes we still have T152728 for this which I think we can do somewhere in second half of January.